SimpleSelfRebuff:_rev("$Revision: 43510 $")

SimpleSelfRebuff:RegisterBuffSetup(function(self, BS, class, L)
	if class ~= 'ROGUE' then return end
	
	local function registerPoisons(categoryName)

		local category = self:GetCategory(categoryName)
		category.source = self.SOURCE_ITEM
		
		category
			:add( BS['Anesthetic Poison'],       'itemid', 21835, 'minLevel', 68                 )
			:add( BS['Crippling Poison'],        'itemid',  3775, 'minLevel', 20, 'maxLevel', 49 )
			:add( BS['Crippling Poison II'],     'itemid',  3776, 'minLevel', 50                 )
			:add( BS['Deadly Poison'],           'itemid',  2892, 'minLevel', 30, 'maxLevel', 37 )
			:add( BS['Deadly Poison II'],        'itemid',  2893, 'minLevel', 38, 'maxLevel', 45 )
			:add( BS['Deadly Poison III'],       'itemid',  8984, 'minLevel', 46, 'maxLevel', 53 )
			:add( BS['Deadly Poison IV'],        'itemid',  8985, 'minLevel', 54, 'maxLevel', 59 )
			:add( BS['Deadly Poison V'],         'itemid', 20844, 'minLevel', 60, 'maxLevel', 61 )
			:add( BS['Deadly Poison VI'],        'itemid', 22053, 'minLevel', 62, 'maxLevel', 69 )
			:add( BS['Deadly Poison VII'],       'itemid', 22054, 'minLevel', 70                 )
			:add( BS['Instant Poison'],          'itemid',  6947, 'minLevel', 20, 'maxLevel', 27 )
			:add( BS['Instant Poison II'],       'itemid',  6949, 'minLevel', 28, 'maxLevel', 35 )
			:add( BS['Instant Poison III'],      'itemid',  6950, 'minLevel', 36, 'maxLevel', 43 )
			:add( BS['Instant Poison IV'],       'itemid',  8926, 'minLevel', 44, 'maxLevel', 51 )
			:add( BS['Instant Poison V'],        'itemid',  8927, 'minLevel', 52, 'maxLevel', 59 )
			:add( BS['Instant Poison VI'],       'itemid',  8928, 'minLevel', 60, 'maxLevel', 67 )
			:add( BS['Instant Poison VII'],      'itemid', 21927, 'minLevel', 68                 )
			:add( BS['Mind-numbing Poison'],     'itemid',  5237, 'minLevel', 24, 'maxLevel', 37 )
			:add( BS['Mind-numbing Poison II'],  'itemid',  6951, 'minLevel', 38, 'maxLevel', 51 )
			:add( BS['Mind-numbing Poison III'], 'itemid',  9186, 'minLevel', 52                 )
			:add( BS['Wound Poison'],            'itemid', 10918, 'minLevel', 32, 'maxLevel', 39 )
			:add( BS['Wound Poison II'],         'itemid', 10920, 'minLevel', 40, 'maxLevel', 47 )
			:add( BS['Wound Poison III'],        'itemid', 10921, 'minLevel', 48, 'maxLevel', 55 )
			:add( BS['Wound Poison IV'],         'itemid', 10922, 'minLevel', 56, 'maxLevel', 63 )
			:add( BS['Wound Poison V'],          'itemid', 22055, 'minLevel', 64                 )

	end
	
	registerPoisons(self.CATEGORY_MAINHAND)
	registerPoisons(self.CATEGORY_OFFHAND)

end)
